<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

$messages = array (
    'es'=> array(

// functions.inc.php
		"Page generated in" => "Pgina generada en",

// index.php

		"No galleries to show" => "No hay ninguna galera",

// index.php gallery.php

		"photo" => "foto",
		"photos" => "fotos",
		"Update" => "Actualiza",
		"Restore" => "Restaura",
		"Deletes without confirmation!!" => "Borra sin confirmar!!",

// gallery.php

		"Gallery Comment" => "Comentario de Galera",
		"Delete Gallery" => "Borra Galera",
		"Can't modify gallery comment" => "Imposible modificar el comentario de la galera",
		"Can't delete gallery" => "Imposible eliminar la galera",
		
// nav_bar.inc.php		
		
		"Galleries" => "Galeras",
		"Configuration" => "Configuracin",
		
// login.php

		"Login" => "Login",
		"Logout" => "Logout",
		"Already logged in as" => "Ya ests autenticado como",
		"Clear" => "Borrar",
		"Password accepted" => "Contrasea vlida",
		"Login/Password invalid!!" => "Login/Password incorrecto",
		"You were logged in, but not anymore" => "Estabas autenticado, pero ya no",
		"You are not logged in" => "No ests autenticado actualmente",

// config.php
		"Copyright notice code" => "Cdigo del mensaje de copyright",
		"Copyright button code" => "Cdigo del botn de copyright",
		"Password changed!" => "La contrasea ha cambiado!",
		"Password change (Enter it twice)" => "Cambio de password (Escrbelo dos veces)",
		"You have no rights to change options" => "No tienes autorizacin para cambiar opciones",
		"Title" => "Ttulo",
		"Charset" => "Charset",
		"Keywords" => "Palabras clave",
		"Author" => "Autor",
		"CSS" => "Fichero CSS",
		"Logo" => "Logo",
		"Locale" => "Locale",
		"Show EXIF" => "Mostrar datos EXIF",
		"Show full size link" => "Mostrar enlace a foto de tamao completo",
		"Inverse date sorting" => "Orden por fecha inverso",
		"Show admin options" => "Mostrar opciones de administrador",
		"Show gallery comment" => "Mostrar comentarios de galera",
		"Show photo comment" => "Mostrar comentarios de foto",
		"Show photo comment edit box" => "Mostrar caja de edicin de comentario de foto",
		"Allow public comments" => "Permitir comentarios pblicos",
		"Gallery/First photo date" => "Fecha Galera/Primera foto",
		"Show W3C buttons" => "Mostar botones W3C",
		"Gallery Directory" => "Directorio de Galeras",
		"Icons Directory" => "Directorio de Iconos",
		"Thumbnails directory" => "Directorio de miniaturas",
		"Thumbnails prefix" => "Prefijo de miniaturas",
		"Websized directory" => "Prefijo de fotos tamao web",
		"Websized prefix" => "Prefijo de fotos tamao web",
		"Save" => "Guardar",

// gallery.php photo.php

		"Home" => "Inicio",
		"Can't write on" => "No puedo escribir en",
		
// photo.php		
		"There's no EXIF support on this server" =>"No hay soporte EXIF en el servidor",		
		"Focal length" => "Distancia focal",
		"Aperture f/" => "Apertura f/",
		"Spot" => "Luz direccional",
		"Multisegment" => "Multisegmento",
		"Flash fired" => "Con flash",
		"No flash" => "Sin flash",
		"Photo comment" => "Comentario",
		"Delete photo" => "Borra foto",
		"Can't modify photo comment" => "Imposible modificar comentario de foto",
		"Can't delete photo" => "Imposible eliminar foto"
		
    )
);

function T($s) {
    global $messages, $zpg_locale;
	
	$LANG=substr($zpg_locale,0,2);
		
	if($LANG=="en"){
		return $s;
	}
	
    if (isset($messages[$LANG][$s])) {
        return $messages[$LANG][$s];
    } else {
		// Si el mensaje en cuestin no tiene traduccin disponible
		// se devuelve la cadena por defecto (ingls)
		return $s;
    }
}

?>