<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

//////////////////////////////////////////////////////////////////////
// Borra una foto de una galera. Esto es, foto grande, web,
// thumb y comentario.

function delete_photo($gal,$photo){
	global $zpg_gals_dir, $zpg_web_dir, $zpg_web_prefix, $zpg_thumbs_dir,
	$zpg_thumbs_prefix, $zpg_comments_dir;
		
	if (file_exists("$zpg_gals_dir/$gal/$photo")){
		unlink("$zpg_gals_dir/$gal/$photo");
	}
	if (file_exists("$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo")){
		unlink("$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo");
	}
	if (file_exists("$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix$photo")){
		unlink("$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix$photo");
	}
	if (file_exists("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt")){
		unlink("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt");
	}
}

//////////////////////////////////////////////////////////////////////
// Devuelve las fotos anterior y siguiente a la pasada por
// parmetro. En caso de que sea la primera o la ltima, se
// devuelve "" como la anterior o siguiente, respectivamente

function get_context($foto, $fotos){
	global $zpg_gal_date, $zpg_gals_dir;

	$posicion=array_search($foto, $fotos);
	
	if($posicion!==FALSE){
		switch($posicion) {
			case 0:
				$respuesta=array("previous"=>"", "next"=>$fotos[1]);
				break;
			case (count($fotos)-1):
				$respuesta=array("previous"=>$fotos[$posicion-1], "next"=>"");
				break;
			default:
				$respuesta=array("previous"=>$fotos[$posicion-1], "next"=>$fotos[$posicion+1]);
		}
	}
	return $respuesta;
}

?>
