<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

require("global.inc.php");
require("functions.inc.php");
require_once("i18n.inc.php");

// Cambio rpido para permitir register_globals = Off en php.ini
$gal=$_GET['gal'];

$body="";

if (!(is_null($_POST['edit_gal_comment']))){
	if ((is_writable("$zpg_gals_dir/$gal"))){
		$new_gal_comment=$_POST['edit_gal_comment'];	
		if ( ($new_gal_comment=="")
			&& file_exists("$zpg_gals_dir/$gal/desc.txt")){		
			unlink("$zpg_gals_dir/$gal/desc.txt");
		}
		else{
			if($handle_comment=fopen("$zpg_gals_dir/$gal/desc.txt","w")){
				fputs($handle_comment,"$new_gal_comment\n");		
				fclose($handle_comment);
			}
		}
	}
	else{
		$body.="<p>".T("Can't write on")." $zpg_gals_dir/$gal !!</p>";
		$body.="<p>".T("Can't modify gallery comment")."</p>";
	}
}
elseif(!(is_null($_POST['delete']))){
	$delgal=$_POST['gal'];
	if (is_writable("$zpg_gals_dir")){
		rmdirr("$zpg_gals_dir/$delgal");
		header("location: index.php");
	}
	else{
		$body.="<p>".T("Can't write on")." $zpg_gals_dir !!</p>";
		$body.="<p>".T("Can't delete gallery")."</p>";
	}
}

$gal_data=get_gal_data($gal);

if($gal_data['n_photos']!=1){
	$num_photos_text=T("photos");
}
else{
	$num_photos_text=T("photo");
}

$body.="<b><a href=\"index.php\">".T("Home")."</a> &gt;&gt; \n".
			" <a href=\"gallery.php?gal=$gal\">".
			ucwords(strtr($gal,"_"," ")).
			"</a></b>\n<br>".
			"<span class=\"date\">".
			"<span class=\"photocount\">$gal_data[n_photos] $num_photos_text</span>&nbsp;".
			format_date($gal_data['ctime']).
			"</span><br>\n";

if ($gal_data['desc']!="" && $zpg_show_comment){
	$body.=stripslashes($gal_data[desc])."<br>\n";
}

$photos=get_gal_photo($gal);

$body.="<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"1\"><tr>";

for ($i=0;$i<count($photos);$i++){
  if((($i % $zpg_photos_row)==0) && ($i<>0)){
    $body.="</tr><tr>\n";
  }
 
  $body.="<td>\n";

  $size=getimagesize("$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix$photos[$i]");

  $body.="<center>\n<a href=\"photo.php?gal=$gal&amp;photo=$photos[$i]\">\n<img src=\"$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix$photos[$i]\" alt=\"$photos[$i]\" border=\"1\" {$size[3]}> </a></center>";
  
  $body.="</td>\n";
  
}
$body.=<<<EOT
</tr>
</table>
EOT;

$tgallerycomment=T("Gallery Comment");
$tsubmit=T("Update");
$trestore=T("Restore");

$comment=stripslashes(htmlentities($gal_data[desc]));

if( ($zpg_show_gal_comment_edit) &&
(admin_login_ok())){
	$body.= <<< EOT
<br>
<div align="center">
<form action="gallery.php?gal=$gal" method="post">
<b>$tgallerycomment</b>
<br>
<input type="text" name="edit_gal_comment" value="$comment" size="30"><br>
<input type="hidden" name="gal" value="$gal">
<input type="submit" value="$tsubmit">
<input type="reset" value="$trestore">
</form>
</div>
EOT;
}

// Formulario del botn de borrar galera

if ((admin_login_ok()) && $zpg_allow_delete){

	if($contexto["next"]!=""){
		$photo_next_screen=$contexto["next"];
	}
	else{
		$photo_next_screen=$contexto["previous"];
	}

$tdelete=T("Delete Gallery");
$tnoconfirm=T("Deletes without confirmation!!");

	$body.= <<< EOT
<div align="right">
<form action="gallery.php?gal=$gal" method="post">
<input type="hidden" name="gal" value="$gal">
<input type="hidden" name="delete" value="1">
<input type="submit" value="$tdelete">
<br>
<span class="warning">$tnoconfirm</span>
</form>
</div>
EOT;
}

$zpg_title.=" - ".ucwords($gal);

$head=standard_head();
$foot=standard_foot();

$body.="<br>";

require("layout-default.inc.php");

?>