<?
	
/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

$meta_charset="iso-8859-15";
$meta_keywords="Zub's Photo Gallery";
$meta_author="David Zubillaga";
$meta_description="Zub's Photo Gallery";

$zpg_main_title="Zub's Photo Gallery!";
$zpg_css="zpg.css";

$zpg_gals_dir="gals";
$zpg_gfx_dir="gfx";

$zpg_logo="zpglogo.png";

$zpg_thumbs_dir="thumbs";
$zpg_web_dir="web";
$zpg_comments_dir="com";

$zpg_thumbs_prefix="t_";
$zpg_web_prefix="web_";

$zpg_locale=setlocale(LC_ALL, "en_US");

$zpg_copyrighttext="";
$zpg_copyrightbutton="";

$zpg_photos_row=6;

// Opciones

$zpg_full_size_link=1;
$zpg_show_exif=1;
$zpg_show_comment=1;
$zpg_show_photo_comment=1;
$zpg_show_photo_comment_edit=1;
$zpg_show_admin_opts=1;
$zpg_allow_public_comments=0;
$zpg_chronologic_order_gal=1;
$zpg_show_w3c=1;

// A 0 ordena segn el mtime original de la primera foto, a 1
// segn el orden de creacin del directorio que contiene la galeria

$zpg_gal_date=0; 

// Esto no es modificable a travs de la web!!!
$zpg_show_gal_comment_edit=1;
$zpg_allow_delete=1;
$zpg_session_time=480;
$zpg_passwd_file="zpg_passwd.txt";
$zpg_config_file="zpg.conf";
$zpg_log_file="zpg-access.log";
$zpg_show_generation_time=0;
$zpg_allow_logging=0;


///////////////////////////////////

// Recordemos este momento

$mtime = microtime();
$mtime = explode(" ",$mtime);
$mtime = $mtime[1] + $mtime[0];
$tstart = $mtime; 

// Logging

if ($zpg_allow_logging){
	if($handle_log=fopen("$zpg_log_file","a")){
		$log_line=strftime("%d-%m-%y %T"). " ".
			$_SERVER['REMOTE_ADDR']. " ".
			$_SERVER['REQUEST_URI']."\" ". 
			"\"".$_SERVER['QUERY_STRING']."\" ". 
			"\"".$_SERVER['HTTP_USER_AGENT']."\" ". 
			$_SERVER['HTTP_REFERER']. "\n";
		fputs($handle_log, $log_line);
		fclose($handle_log);
	}
}


// Analicemos el fichero de configuracin, si existe

if (file_exists("$zpg_config_file")){
	$handle_config=fopen("$zpg_config_file","r");
	
	while(!feof($handle_config)){
		$str=trim(fgets($handle_config,512));
		
		if($str[0]!="#"){
			list($variable, $value)=explode("=",$str,2);
			$variable=trim($variable);
			$value=stripslashes(trim($value));
			
			if ($variable && !is_null($value) && isset($variable)) {				
				$$variable=$value;
			}
		}
	}
	fclose($handle_config);
}

$zpg_title=$zpg_main_title;

setlocale(LC_ALL,$zpg_locale);

// Variables no definibles por el usuario

$zpg_version="0.5";
$generator="Zub's Photo Gallery v$zpg_version";

// Con CSS2 hay maneras mejores de hacer esto

$generator_html="<span class=\"hi\">Z</span>ub's <span class=\"hi\">P</span>hoto <span class=\"hi\">G</span>allery v$zpg_version";

// Sesiones

if (file_exists("$zpg_passwd_file")){
	$handle_pass=fopen("$zpg_passwd_file","r");
	
	while(!feof($handle_pass)){
		$str=trim(fgets($handle_pass,128));
		
		list($user, $pass)=explode(":",$str);
		$user=trim($user);
		$pass=stripslashes(trim($pass));
		
		$passwd=array("$user" => "$pass");		
	}
	fclose($handle_pass);
}
else{
	$passwd=array("admin" => md5(""));
}


// Si el host no es nuestro o somos paranoicos, pueden 
// estar deshabilitadas algunas funciones PHP como ini_set
// o chmod. Ni compruebo si soporta fopen o fputs...

$disabled_functions=ini_get ('disable_functions');

// df_list contiene un array con las funciones deshabilitadas
// por el administrador del servidor web

$df_list=array_map("trim", explode(",",$disabled_functions));

if (!(in_array('ini_set',$df_list))){
	ini_set("session.cookie_lifetime", $zpg_session_time);
}

session_start();
header("Cache-control: private");
header("Content-type: text/html; charset=$meta_charset");
?>
