<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

require("global.inc.php");
require("functions.inc.php");
require_once("i18n.inc.php");

$body="<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\">\n<tr>\n";

$gals_ord=get_gals_ord();

if ($gals_ord){
  $change=-1;

  foreach($gals_ord as $i){
    
    if($change==1){
      $body.="</tr><tr>\n";
      $change=0;
    }
    else{
      $change++;
    }
    
    $body.="<td valign=\"top\">\n";
    
    $gal_info=get_gal_data($i);
	
	if($gal_info['n_photos']!=1){
		$num_photos_text=T("photos");
	}
	else{
		$num_photos_text=T("photo");
	}
	
    $body.="<a href=\"gallery.php?gal=$i\">\n<span class=\"gal\">$gal_info[name]</span></a><br>\n".
      "<span class=\"photocount\">$gal_info[n_photos] $num_photos_text </span>".
      "<span class=\"date\">".format_date($gal_info[ctime])."</span><br>\n";
	  
	if ($zpg_show_comment){
		$body.=stripslashes($gal_info[desc])."<br>\n";
	}
    $body.="<br>\n";

	if($gal_info['n_photos']>0){
    
		$random_photo=get_random_photo($i);
	
		$size=getimagesize("$zpg_gals_dir/$i/$zpg_thumbs_dir/$zpg_thumbs_prefix$fotos[$i]$random_photo");
    
		$body.="<center>\n".
					"<a href=\"gallery.php?gal=$i\">".
		"<img src=\"$zpg_gals_dir/$i/$zpg_thumbs_dir/$zpg_thumbs_prefix$random_photo\" alt=\"$random_photo\" border=\"1\" {$size[3]}></a>\n</center>\n";
    }
    $body.="</td>\n";
  }
}
else{
  $body.="<td>\n<p>".T("No galleries to show")."</p>\n</td>";
}

$body.="</tr>\n</table>\n<br>\n";

$head=standard_head();
$foot=standard_foot();

require("layout-default.inc.php");

?>