<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */

require("global.inc.php");
require("photo_functions.inc.php");
require("functions.inc.php");
require_once("i18n.inc.php");

// Cambio rpido para permitir register_globals = Off en php.ini
$gal=$_GET['gal'];
$photo=$_GET['photo'];

$head="";
$body="";

if (!(is_null($_POST['edit_comment']))){
	if(is_writable("$zpg_gals_dir/$gal")){
		$new_comment=$_POST['edit_comment'];	
		if ( ($new_comment=="")
			&& file_exists("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt")){
			// No miro si ha habido xito o no...
			unlink("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt");
		}
		else{
			if (!(file_exists("$zpg_gals_dir/$gal/$zpg_comments_dir"))){
				mkdir("$zpg_gals_dir/$gal/$zpg_comments_dir");
			}
		
			if($handle_comment=fopen("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt","w")){
				fputs($handle_comment,"$new_comment\n");		
				fclose($handle_comment);
			}
		}
	}
	else{
		$body.="<p>".T("Can't write on")." $zpg_gals_dir/$gal !!</p>";
		$body.="<p>".T("Can't modify photo comment")."</p>";
	}
}
elseif(!is_null($_POST['delete'])){
	if(is_writable("$zpg_gals_dir/$gal")){
		delete_photo($_POST['gal'],$_POST['photo']);
	}
	else{
		$body.="<p>".T("Can't write on")." $zpg_gals_dir/$gal !!</p>";		
		$body.="<p>".T("Can't delete photo")."</p>";
	}
}

$head.=<<<EOT
<table border="0" cellspacing="2" cellpadding="0" width="100%">
<tr>
<td width="20%">
<div align="center">
EOT;

$fotos=get_gal_photo($gal);

if(count($fotos)!=1){
	$context=get_context($photo, $fotos);
	
	if($context["previous"]!=""){
		$head.="<a href=\"photo.php?gal=$gal&amp;photo=".$context["previous"]."\">";
		$head.="<img align=\"middle\" src=\"$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix".$context["previous"]."\" border=\"1\" alt=\"$context[previous]\">";
		$head.="</a>";
	}	
}

$head.=<<<EOT
</div>
</td>
<td>
<div align="center">
<div align="center">
<a href="index.php">
EOT;

$size = getimagesize ("$zpg_gfx_dir/$zpg_logo");

$head.=<<<EOT
<img src="$zpg_gfx_dir/$zpg_logo" $size[3] border="0" alt="Logo">
</a>
</div>
EOT;

$head.="<b><a href=\"index.php\">".T("Home")."</a> &gt;&gt; \n
<a href=\"gallery.php?gal=$gal\">".ucwords(strtr($gal,"_"," ")).
"</a> &gt;&gt; $photo </b>";

$head.=<<<EOT
</div>
</td>
<td width="20%">
<div align="center">
EOT;

if(count($fotos)!=1){
	if($context["next"]!=""){
		$head.="<a href=\"photo.php?gal=$gal&amp;photo=".$context["next"]."\">";
		$head.="<img align=\"middle\" src=\"$zpg_gals_dir/$gal/$zpg_thumbs_dir/$zpg_thumbs_prefix".$context["next"]."\" border=\"1\" alt=\"$context[next]\">";
		$head.="</a>";
	}
}

$head.=<<<EOT
</div>
</td>
</tr>
</table>
EOT;

$body.=<<<EOT
<div align="center">
EOT;

$size=getimagesize("$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo");

if(($zpg_full_size_link) && filesize("$zpg_gals_dir/$gal/$photo")>0){
  $body.="<a href=\"$zpg_gals_dir/$gal/$photo\">";
  $body.="<img src=\"$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo\" border=\"1\" {$size[3]} alt=\"$photo\">";
  $body.="</a>";
}
else{
  $body.="<img src=\"$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo\" border=\"1\" {$size[3]} alt=\"$photo\">";
}

$body.="</div>";

if(($zpg_show_photo_comment) && (file_exists("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt"))){
	
	// Pongo el div align para que el penoso IE me centre las tablas
	
	$body.="<div align=\"center\"><table id=\"comment\">\n<tr>\n<td>\n";

	$comment="";

	$handle_photo_comment=fopen("$zpg_gals_dir/$gal/$zpg_comments_dir/$photo.txt","r");

    while(!feof($handle_photo_comment)){
		$str=fgets($handle_photo_comment,4096);      
		if($str=="\n"){
			$str="<br><br>";
		}
		$comment = $comment . $str;
	}
	
	$body.=stripslashes($comment);
	
	$body.="</td>\n</tr>\n</table>\n</div>\n";
}

if($zpg_show_exif){	
	if(function_exists("exif_read_data")){
		if(preg_match("/\.jpe?g$/i",$photo)){
			if (filesize("$zpg_gals_dir/$gal/$photo")>0){
				$exif = exif_read_data("$zpg_gals_dir/$gal/$photo", 'EXIF', true , false);
			}
			else{
				$exif = exif_read_data("$zpg_gals_dir/$gal/$zpg_web_dir/$zpg_web_prefix$photo", 'EXIF', true , false);
			}
		}
		else{
			$exif=FALSE;
		}
	}
	else{
		$body.="<center>".T("There's no EXIF support on this server")."</center>\n";
	}
	
	if ($exif){
		$body.="<div align=\"center\"><table id=\"exif\">\n<tr>\n<td colspan=\"2\">\n";

		// Fecha
		$datetime=$exif["IFD0"]["DateTime"];
		list($a,$mes,$d,$h,$m,$s)=split("[: ]",$datetime);
		$t_photo=mktime($h,$m,$s,$mes,$d,$a);		

		$body.=format_date($t_photo)."<br>\n";

		// Tamao
		$body.="<span class=\"exiftech\">";
		$body.=round($exif['FILE']['FileSize']/1024)." Kb - ";
		$body.=$exif['EXIF']['ExifImageWidth']."x".$exif['EXIF']['ExifImageLength']." pixels";
		$body.="</span>";
		
		$body.="</td>\n</tr>\n<tr>\n<td class=\"exiftech\">\n";
		
		// Tiempo exposicin		
		$exposicion=$exif['EXIF']['ExposureTime'];		
		list($num,$denom)=explode("/",$exposicion);
		
		$body.=T("Texp")." ".$exposicion." (".number_format(1000*$num/$denom,1)."ms)<br>\n";
		
		// Longitud focal (en milimetros)
		$distfocal=$exif['EXIF']['FocalLength'];
		list($num,$denom)=explode("/",$distfocal);

		$body.=T("Focal length")." ".number_format($num/$denom,2)."mm<br>\n";
		
		//Apertura f/2,8 = 28/10	
		$fnumber=$exif['EXIF']['FNumber'];
		list($num,$denom)=explode("/",$fnumber);
	
		$body.=T("Aperture f/").number_format($num/$denom,1)."<br>\n";
		
		// Modo de medicin (3 Luz direccional 5 Multisegmento)
		
		$body.="</td><td class=\"exiftech\">";
	
		if ($exif['EXIF']['MeteringMode']==3){
			$body.=T("Spot");
		}
		else{
			$body.=T("Multisegment");
		}
		
		$body.="<br>\n";
		
		// Flash
		
		//Si par disparado, si impar no
		if (($exif['EXIF']['Flash']%2)==0){
			$body.=T("No flash");
		}
		else{
			$body.=T("Flash fired");
		}
		$body.="<br>\n";		
		// Modelo cmara		
		$body.=$exif['IFD0']['Model']."<br>\n";
	
		$body.="</td>\n</tr>\n</table>\n</div>\n";
	
		if ($exif_verbose){
			foreach ($exif as $key => $section) {
				$body.="$key<br>\n";
				foreach ($section as $name => $val) {
					if (($name != "MakerNote") and ($name != "UserComment")) {
						$body.="$key.$name: $val<br />\n";
					}
				}
			}
		}
	}
	else{
		// No exif data available
	}
}

// Formulario de comentario de foto

if( ($zpg_show_photo_comment_edit) &&
((admin_login_ok()) || ($zpg_allow_public_comments))){
	$tcomment=T("Photo comment");
	$tupdate=T("Update");
	$trestore=T("Restore");
	
	$body.="<br>\n";
	
	$comment=stripslashes(htmlentities($comment));
	
	$body.= <<< EOT
<div align="center">
<form action="photo.php?gal=$gal&photo=$photo" method="post">
<b>$tcomment</b>&nbsp;&nbsp;
<input type="text" name="edit_comment" value="$comment" size="50" maxlength="512"><br>
<input type="hidden" name="gal" value="$gal">
<input type="hidden" name="photo" value="$photo">
<input type="submit" value="$tupdate">
<input type="reset" value="$trestore">
</form>
</div>
EOT;
}

// Formulario del botn de borrar foto

if ((admin_login_ok()) && $zpg_allow_delete && (count($fotos)>1)){

	if($context["next"]!=""){
		$photo_next_screen=$context["next"];
	}
	else{
		$photo_next_screen=$context["previous"];
	}

	$tdeletephoto=T("Delete photo");
	$tnoconfirm=T("Deletes without confirmation!!");


	$body.= <<< EOT
<div align="right">
<form action="photo.php?gal=$gal&photo=$photo_next_screen" method="post">
<input type="hidden" name="gal" value="$gal">
<input type="hidden" name="photo" value="$photo">
<input type="hidden" name="delete" value="1">
<input type="submit" value="$tdeletephoto">
<br>
<span class="warning">$tnoconfirm</span>
</form>
</div>
EOT;
}

$hide_navbar=1;

$zpg_title.=" - ".ucwords($gal)." - ".$photo;

$foot=standard_foot();

require("layout-default.inc.php");

?>
